2021-03-22  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: prepare 7.2.0 release

2021-03-22  Gilles Caulier <caulier.gilles@gmail.com>

	* core/utilities/geolocation/geoiface/core/geoifacecommon.h,
	core/utilities/geolocation/geoiface/lookup/lookupaltitude.h,
	core/utilities/geolocation/geoiface/reversegeocoding/simpletreemode
	l.h, core/utilities/geolocation/geoiface/tiles/itemmarkertiler.h,
	core/utilities/geolocation/geoiface/tiles/tilegrouper.h,
	core/utilities/geolocation/geoiface/tracks/trackmanager.h,
	core/utilities/geolocation/geoiface/tracks/trackreader.h,
	core/utilities/geolocation/geoiface/widgets/htmlwidget.h,
	core/utilities/geolocation/geoiface/widgets/htmlwidget_qwebengine.h
	, core/utilities/geolocation/geoiface/widgets/mapwidget.h,
	core/utilities/geolocation/geomapwrapper/gpsiteminfosorter.h,
	core/utilities/imageeditor/core/editorcore.h,
	core/utilities/imageeditor/core/iofilesettings.h,
	core/utilities/imageeditor/editor/editortooliface.h,
	core/utilities/imageeditor/editor/editortoolsettings.h,
	core/utilities/imageeditor/main/imagewindow.h,
	core/utilities/imageeditor/main/imagewindow_p.h,
	core/utilities/import/backend/dkcamera.h,
	core/utilities/import/backend/gpcamera.h,
	core/utilities/import/items/importdelegate.h,
	core/utilities/import/items/importdelegate_p.h,
	core/utilities/import/items/importoverlays.h,
	core/utilities/import/main/importsettings.h,
	core/utilities/import/main/importui.h,
	core/utilities/import/main/importui_p.h: delete unecessary
	constructors and operators

2021-03-21  Gilles Caulier <caulier.gilles@gmail.com>

	* core/utilities/queuemanager/dplugins/dpluginbqm.h,
	core/utilities/queuemanager/dplugins/dpluginconfviewbqm.h,
	core/utilities/queuemanager/main/queuemgrwindow.h,
	core/utilities/queuemanager/manager/batchtoolutils.h,
	core/utilities/queuemanager/manager/iteminfoset.h,
	core/utilities/queuemanager/manager/task.h,
	core/utilities/queuemanager/manager/workflowmanager.h,
	core/utilities/queuemanager/views/workflowdlg.h,
	core/utilities/searchwindow/searchfieldgroup.h,
	core/utilities/searchwindow/searchview.h,
	core/utilities/searchwindow/searchwindow.h: delete unecessary
	constructors and operators

2021-03-21  Gilles Caulier <caulier.gilles@gmail.com>

	* core/utilities/extrasupport/filesindexer/baloowrap.h,
	core/utilities/fuzzysearch/findduplicatesalbum.h,
	core/utilities/fuzzysearch/fuzzysearchview_p.h,
	core/utilities/maintenance/databasetask.h,
	core/utilities/maintenance/fingerprintstask.h,
	core/utilities/maintenance/imagequalitytask.h,
	core/utilities/maintenance/iteminfojob.h,
	core/utilities/maintenance/metadatatask.h,
	core/utilities/maintenance/thumbstask.h: delete unecessary
	contructors and operators

2021-03-21  Gilles Caulier <caulier.gilles@gmail.com>

	* core/utilities/advancedrename/advancedrenamedialog.h,
	core/utilities/advancedrename/advancedrenameinput.h,
	core/utilities/advancedrename/advancedrenamemanager.h,
	core/utilities/advancedrename/advancedrenameprocessdialog.h,
	core/utilities/advancedrename/advancedrenamewidget.h,
	core/utilities/advancedrename/common/dynamiclayout.h,
	core/utilities/advancedrename/common/modifier.h,
	core/utilities/advancedrename/common/option.h,
	core/utilities/advancedrename/common/parser.h,
	core/utilities/advancedrename/common/rule.h,
	core/utilities/advancedrename/common/ruledialog.h,
	core/utilities/advancedrename/common/token.h,
	core/utilities/advancedrename/common/tooltipcreator.h,
	core/utilities/advancedrename/common/tooltipdialog.h,
	core/utilities/advancedrename/parser/defaultrenameparser.h,
	core/utilities/advancedrename/parser/importrenameparser.h,
	core/utilities/advancedrename/parser/modifiers/casemodifier.h,
	core/utilities/advancedrename/parser/modifiers/defaultvaluemodifier
	.h, core/utilities/advancedrename/parser/modifiers/rangemodifier.h,
	core/utilities/advancedrename/parser/modifiers/removedoublesmodifie
	r.h,
	core/utilities/advancedrename/parser/modifiers/replacemodifier.h,
	core/utilities/advancedrename/parser/modifiers/trimmedmodifier.h,
	core/utilities/advancedrename/parser/modifiers/uniquemodifier.h,
	core/utilities/advancedrename/parser/options/cameranameoption.h,
	core/utilities/advancedrename/parser/options/database/databaseoptio
	n.h,
	core/utilities/advancedrename/parser/options/database/dbheaderlisti
	tem.h,
	core/utilities/advancedrename/parser/options/database/dbkeyscollect
	ion.h,
	core/utilities/advancedrename/parser/options/database/dbkeyselector
	.h,
	core/utilities/advancedrename/parser/options/database/keys/commonke
	ys.h,
	core/utilities/advancedrename/parser/options/database/keys/metadata
	keys.h,
	core/utilities/advancedrename/parser/options/database/keys/position
	keys.h, core/utilities/advancedrename/parser/options/dateoption.h,
	core/utilities/advancedrename/parser/options/directorynameoption.h,
	core/utilities/advancedrename/parser/options/filepropertiesoption.h
	, core/utilities/advancedrename/parser/options/metadataoption.h,
	core/utilities/advancedrename/parser/options/sequencenumberoption.h: 
	delete unecessary constructors and operators

2021-03-21  Gilles Caulier <caulier.gilles@gmail.com>

	* core/showfoto/thumbbar/showfotocategorizedview.h,
	core/showfoto/thumbbar/showfotoimagemodel.h,
	core/showfoto/thumbbar/showfotothumbnailbar.h,
	core/showfoto/thumbbar/showfotothumbnailmodel.h,
	core/utilities/facemanagement/TODO.FACE,
	core/utilities/facemanagement/database/faceutils.h,
	core/utilities/facemanagement/items/facegroup.h,
	core/utilities/facemanagement/items/faceitem.h,
	core/utilities/facemanagement/threads/facepipeline.h,
	core/utilities/facemanagement/threads/parallelpipes.h,
	core/utilities/facemanagement/workers/databasewriter.h,
	core/utilities/facemanagement/workers/detectionworker.h,
	core/utilities/facemanagement/workers/recognitionworker.h,
	core/utilities/imageeditor/core/undoaction.h,
	core/utilities/imageeditor/core/undocache.h,
	core/utilities/imageeditor/core/undomanager.h,
	core/utilities/imageeditor/editor/imageiface.h: delete unecesary
	constructors and operators

2021-03-21  Gilles Caulier <caulier.gilles@gmail.com>

	* core/libs/dimg/filters/imgqsort/imagequalityparser.h,
	core/libs/widgets/history/itemfiltershistorytreeitem.h,
	core/libs/widgets/itemview/itemviewcategorized.h,
	core/libs/widgets/layout/statesavingobject.h,
	core/tests/facesengine/alignment/funnelreal.h,
	core/utilities/facemanagement/database/faceitemretriever.h,
	core/utilities/facemanagement/threads/facepreviewloader.h,
	core/utilities/facemanagement/threads/scanstatefilter.h,
	core/utilities/geolocation/geoiface/bookmark/bookmarknode.h,
	core/utilities/geolocation/geoiface/tiles/abstractmarkertiler.h,
	core/utilities/import/items/itemviewimportdelegate.h,
	core/utilities/import/models/importimagemodel.h,
	core/utilities/import/models/importthumbnailmodel.h,
	core/utilities/import/views/importcategorizedview.h,
	core/utilities/import/views/importiconview.h,
	core/utilities/import/views/importthumbnailbar.h,
	core/utilities/lighttable/lighttablethumbbar.h,
	core/utilities/maintenance/maintenancedata.h,
	core/utilities/searchwindow/searchfields.h,
	core/utilities/setup/collections/dwitemdelegatepool.h,
	core/utilities/setup/downloader/filesdownloader.h: delete unecessary
	contructors and operators

2021-03-21  Maik Qualmann <metzpinguin@gmail.com>

	* NEWS, core/libs/jpegutils/jpegutils.cpp,
	core/utilities/queuemanager/manager/batchtool.cpp: make temporary
	file more unique even for multiple tasks BUGS: 434716 FIXED-IN:
	7.2.0

2021-03-21  Gilles Caulier <caulier.gilles@gmail.com>

	*
	core/dplugins/editor/enhance/healingclone/healingclonetoolwidget.h,
	core/dplugins/editor/file/print/printhelper.h,
	core/dplugins/generic/tools/htmlgallery/generator/gallerytheme.h,
	core/dplugins/generic/tools/htmlgallery/parameters/abstractthemepar
	ameter.h,
	core/dplugins/generic/tools/panorama/panoparser/ptoparser/ptofile.h
	,
	core/dplugins/generic/tools/printcreator/tools/atkinspagelayout.h,
	core/dplugins/generic/tools/printcreator/tools/templateicon.h,
	core/dplugins/generic/view/glviewer/glviewertimer.h,
	core/dplugins/generic/view/presentation/common/presentationloader.h
	, core/dplugins/generic/webservices/imageshack/imageshacksession.h,
	core/dplugins/generic/webservices/mediawiki/backend/mediawiki_iface
	.h, core/dplugins/generic/webservices/piwigo/piwigosession.h,
	core/libs/database/item/lister/itemlister.h,
	core/libs/database/item/scanner/itemscanner.h,
	core/libs/dimg/filters/icc/iccmanager.h,
	core/libs/dimg/filters/lens/lensfuniface.h,
	core/libs/dimg/filters/levels/imagelevels.h,
	core/libs/versionmanager/versionmanager.h: delete unecessary
	constructors and operators

2021-03-21  Gilles Caulier <caulier.gilles@gmail.com>

	* core/libs/dngwriter/dngwriter.h, core/libs/iojobs/iojobdata.h,
	core/libs/jpegutils/jpegutils.h,
	core/libs/metadataengine/engine/metaengine_previews.h,
	core/libs/models/itemalbummodel.h,
	core/libs/properties/history/versionstreeview.h,
	core/libs/transitionmngr/effectmngr.h,
	core/libs/transitionmngr/transitionmngr.h: delete unecessary
	constructors and operators

2021-03-21  Maik Qualmann <metzpinguin@gmail.com>

	* NEWS: update

2021-03-21  Maik Qualmann <metzpinguin@gmail.com>

	* core/libs/widgets/layout/sidebar.cpp,
	core/libs/widgets/layout/sidebar.h: return value is not used, use
	void function

2021-03-21  Maik Qualmann <metzpinguin@gmail.com>

	* core/app/main/digikamapp.cpp,
	core/libs/widgets/layout/sidebar.cpp,
	core/libs/widgets/mainview/thememanager.cpp: polish

2021-03-21  Gilles Caulier <caulier.gilles@gmail.com>

	* core/libs/album/manager/albummanager_p.cpp,
	core/libs/album/manager/albummanager_p.h,
	core/libs/album/treeview/albumselectiontreeview.cpp,
	core/libs/database/collection/collectionmanager_p.h,
	core/libs/database/coredb/coredbbackend_p.h,
	core/libs/database/coredb/coredbwatch.cpp,
	core/libs/database/coredb/coredbwatch.h,
	core/libs/database/models/itemfiltermodelthreads.cpp,
	core/libs/database/models/itemfiltermodelthreads.h,
	core/libs/database/tags/tagscache.cpp,
	core/utilities/facemanagement/bench/recognitionbenchmarker.cpp,
	core/utilities/facemanagement/bench/recognitionbenchmarker.h: Fixes
	in constructors with internal containers : d(d) ==> d(dd)

2021-03-21  Gilles Caulier <caulier.gilles@gmail.com>

	* core/libs/dialogs/dconfigdlgmodels_p.h,
	core/libs/dialogs/dconfigdlgwidgets.h,
	core/libs/dialogs/dconfigdlgwidgets_p.h,
	core/libs/dialogs/dsplashscreen.h, core/libs/dialogs/imagedialog.h,
	core/libs/dimg/color/dcolor.h, core/libs/dimg/dimg_p.h,
	core/libs/dimg/exposurecontainer.h,
	core/libs/dimg/filters/auto/autoexpofilter.h,
	core/libs/dimg/filters/auto/equalizefilter.h,
	core/libs/dimg/filters/auto/normalizefilter.h,
	core/libs/dimg/filters/auto/stretchfilter.h,
	core/libs/dimg/filters/dimgfiltermanager.h,
	core/libs/dimg/filters/filteractionfilter.h,
	core/libs/dimg/filters/randomnumbergenerator.h,
	core/libs/dimg/history/dimagehistory.h,
	core/libs/dimg/loaders/dimgloader.cpp,
	core/libs/dimg/loaders/dimgloader.h: delete unecessary constructors
	and operators

2021-03-21  Gilles Caulier <caulier.gilles@gmail.com>

	* core/libs/database/thumbsdb/thumbsdb.h,
	core/libs/database/thumbsdb/thumbsdbschemaupdater.h,
	core/libs/database/utils/ifaces/dio.h,
	core/libs/database/utils/ifaces/syncjob.h,
	core/libs/database/utils/scan/scancontroller.h,
	core/libs/database/utils/scan/scancontroller_p.h,
	core/libs/database/utils/widgets/mysqlinitbinary.h,
	core/libs/database/utils/widgets/mysqlservbinary.h,
	core/libs/threadimageio/thumb/thumbnailloadthread_p.h: delte
	unecessary constructors and operators

2021-03-20  Maik Qualmann <metzpinguin@gmail.com>

	* core/libs/database/coredb/coredbaccess.cpp,
	core/libs/database/similaritydb/similaritydbaccess.cpp,
	core/libs/database/thumbsdb/thumbsdbaccess.cpp: polish

2021-03-20  Maik Qualmann <metzpinguin@gmail.com>

	* core/libs/database/coredb/coredbaccess.cpp,
	core/libs/database/thumbsdb/thumbsdbaccess.cpp,
	core/libs/facesengine/facedb/facedbaccess.cpp: polish

2021-03-20  Maik Qualmann <metzpinguin@gmail.com>

	* core/libs/database/similaritydb/similaritydbaccess.cpp: fix crash
	in SimilarityDbAccessMutexLocker

2021-03-20  Maik Qualmann <metzpinguin@gmail.com>

	*
	core/dplugins/generic/webservices/imageshack/imageshackwidget.cpp,
	core/libs/metadataengine/dmetadata/dmetadata_tags.cpp,
	core/utilities/advancedrename/advancedrenamewidget.cpp,
	core/utilities/advancedrename/advancedrenamewidget.h: polish

2021-03-20  Maik Qualmann <metzpinguin@gmail.com>

	* core/libs/database/models/itemmodel.cpp,
	core/libs/tags/manager/models/tagmngrlistmodel.cpp,
	core/libs/widgets/graphicsview/paniconwidget.h,
	core/libs/widgets/itemview/dcategorizedsortfilterproxymodel.cpp,
	core/libs/widgets/itemview/dcategorizedsortfilterproxymodel.h,
	core/showfoto/thumbbar/showfotoimagemodel.cpp,
	core/tests/modeltest/modeltest.cpp,
	core/tests/modeltest/modeltest.h,
	core/utilities/geolocation/geoiface/reversegeocoding/rgtagmodel.h,
	core/utilities/import/models/importimagemodel.cpp: polish

2021-03-20  Maik Qualmann <metzpinguin@gmail.com>

	* core/app/dragdrop/albumdragdrop.h,
	core/app/dragdrop/importdragdrop.h,
	core/dplugins/generic/view/presentation/audio/presentationaudiolist
	.cpp, core/dplugins/generic/webservices/facebook/fbtalker.cpp,
	core/dplugins/generic/webservices/facebook/fbtalker_wizard.cpp,
	core/dplugins/generic/webservices/facebook/fbwindow.h,
	core/dplugins/generic/webservices/filecopy/fcexportwindow.cpp,
	core/dplugins/generic/webservices/filetransfer/ftexportwindow.cpp,
	core/dplugins/generic/webservices/google/gphoto/gptalker.cpp,
	core/dplugins/generic/webservices/imageshack/imageshacktalker.h,
	core/dplugins/generic/webservices/imageshack/imageshackwindow.cpp,
	core/dplugins/generic/webservices/imgur/imgurwindow.h,
	core/dplugins/generic/webservices/ipfs/ipfswindow.h,
	core/dplugins/generic/webservices/mediawiki/backend/mediawiki_query
	images.h, core/dplugins/generic/webservices/smugmug/smugwindow.cpp,
	core/dplugins/generic/webservices/twitter/twittertalker.cpp,
	core/libs/album/engine/albumthumbnailloader.cpp,
	core/libs/album/manager/albummanager_album.cpp,
	core/libs/database/dbjobs/dbjobsthread.cpp,
	core/libs/database/item/containers/itemcomments.cpp,
	core/libs/metadataengine/dmetadata/dmetadatasettingscontainer.cpp,
	core/libs/widgets/itemview/dcategorizedview.cpp,
	core/showfoto/main/showfoto.cpp,
	core/showfoto/thumbbar/showfotodragdrophandler.h,
	core/utilities/geolocation/mapsearches/gpsmarkertiler.cpp,
	core/utilities/searchwindow/searchfields.cpp: polish

2021-03-20  Maik Qualmann <metzpinguin@gmail.com>

	* core/app/date/ddatepicker.h,
	core/app/views/tableview/tableview_column_thumbnail.h,
	core/libs/properties/itemselectionpropertiestab.h,
	core/libs/widgets/colors/dcolorvalueselector.h,
	core/libs/widgets/itemview/dcategorizedsortfilterproxymodel.h,
	core/libs/widgets/itemview/dcategorydrawer.h,
	core/utilities/fuzzysearch/findduplicatesalbumitem.cpp,
	core/utilities/geolocation/mapsearches/gpsmarkertiler.cpp,
	core/utilities/import/views/importstackedview.h,
	core/utilities/setup/editor/setupeditoriface.cpp: polish

2021-03-20  Gilles Caulier <caulier.gilles@gmail.com>

	* core/libs/database/history/itemhistorygraphmodel.h,
	core/libs/database/item/containers/iteminfo_p.h,
	core/libs/database/item/containers/iteminfocache.h,
	core/libs/database/item/lister/itemattributeswatch.h,
	core/libs/database/item/lister/itemlisterreceiver.h,
	core/libs/database/models/itemfiltermodel_p.h,
	core/libs/database/models/itemmodel.h,
	core/libs/database/models/itemsortcollator.h,
	core/libs/database/models/itemthumbnailmodel.h,
	core/libs/database/models/itemversionsmodel.h,
	core/libs/database/server/databaseserverstarter.h,
	core/libs/database/similaritydb/similaritydb.h,
	core/libs/database/similaritydb/similaritydbaccess.cpp,
	core/libs/database/similaritydb/similaritydbschemaupdater.h,
	core/libs/database/tags/tagscache.h: delete unecessary contructors
	and operators

2021-03-20  Maik Qualmann <metzpinguin@gmail.com>

	* core/app/main/main.cpp, core/showfoto/main/main.cpp: workaround
	for the automatic icon theme color in KF-5.80

2021-03-20  Gilles Caulier <caulier.gilles@gmail.com>

	* core/libs/database/dbjobs/dbjob.h,
	core/libs/database/dbjobs/dbjobsmanager.h,
	core/libs/database/engine/dbengineactiontype.h,
	core/libs/database/engine/dbenginebackend.h,
	core/libs/database/engine/dbengineerrorhandler.h,
	core/libs/database/engine/dbengineguierrorhandler.h,
	core/libs/database/haar/haariface.h: delete unecessary constructors
	and operators

2021-03-20  Gilles Caulier <caulier.gilles@gmail.com>

	* core/libs/database/collection/collectionmanager.h,
	core/libs/database/collection/collectionscanner.h,
	core/libs/database/coredb/coredb.h,
	core/libs/database/coredb/coredbaccess.h,
	core/libs/database/coredb/coredbalbuminfo.h,
	core/libs/database/coredb/coredbbackend.h,
	core/libs/database/coredb/coredbcopymanager.h,
	core/libs/database/coredb/coredbfields.h,
	core/libs/database/coredb/coredbinfocontainers.h,
	core/libs/database/coredb/coredboperationgroup.h,
	core/libs/database/coredb/coredbschemaupdater.h,
	core/libs/database/coredb/coredbsearchxml.h,
	core/libs/database/coredb/coredbwatch.h: delete unucessary
	constructors and operators

2021-03-20  Gilles Caulier <caulier.gilles@gmail.com>

	* core/tests/multithreading/rawtopngconverterthread.h: krazy++

2021-03-20  Gilles Caulier <caulier.gilles@gmail.com>

	* core/libs/album/engine/album.h,
	core/libs/album/engine/albumparser.h,
	core/libs/album/engine/albumthumbnailloader.h,
	core/libs/album/manager/albummanager.h,
	core/libs/album/widgets/albumselectors.h,
	core/libs/album/widgets/albumselecttabs.h: delete unecessary
	constructors and operators

2021-03-20  Gilles Caulier <caulier.gilles@gmail.com>

	* core/libs/facesengine/detection/opencv-dnn/dnnfacedetectorbase.h,
	core/libs/facesengine/detection/opencv-dnn/dnnfacedetectorssd.h,
	core/libs/facesengine/detection/opencv-dnn/dnnfacedetectoryolo.h,
	core/libs/facesengine/detection/opencv-dnn/opencvdnnfacedetector.h,
	core/libs/facesengine/facedb/facedb.h,
	core/libs/facesengine/facedb/facedbaccess.h,
	core/libs/facesengine/facedb/facedboperationgroup.h,
	core/libs/facesengine/facedb/facedbschemaupdater.h,
	core/libs/facesengine/preprocessing/facepreprocessor.h,
	core/libs/facesengine/preprocessing/recognition/openfacepreprocesso
	r.h,
	core/libs/facesengine/preprocessing/recognition/recognitionpreproce
	ssor.h,
	core/libs/facesengine/recognition/facialrecognition_wrapper.h,
	core/libs/facesengine/recognition/opencv-dnn/dnnfaceextractor.h,
	core/libs/facesengine/recognition/opencv-dnn/kd_node.h,
	core/libs/facesengine/recognition/opencv-dnn/kd_tree.h,
	core/libs/facesengine/recognition/opencv-dnn/opencvdnnfacerecognize
	r.h,
	core/libs/facesengine/recognition/recognitiontrainingprovider.h,
	core/libs/tags/engine/taggingactionfactory.h,
	core/libs/tags/manager/tagmngrtreeview.h,
	core/libs/tags/manager/tagsmanager.h,
	core/libs/tags/widgets/addtagscombobox.h: delete unecessary
	constructors and operators

2021-03-20  Gilles Caulier <caulier.gilles@gmail.com>

	* core/libs/threadimageio/video/videodecoder.h,
	core/libs/threadimageio/video/videostripfilter.h,
	core/libs/threadimageio/video/videothumbnailer.h,
	core/libs/threadimageio/video/videothumbwriter.h: delete unecessary
	constructor and operator

2021-03-20  Gilles Caulier <caulier.gilles@gmail.com>

	* core/libs/threadimageio/preview/previewloadthread.h,
	core/libs/threadimageio/preview/previewsettings.h,
	core/libs/threadimageio/preview/previewtask.h,
	core/libs/threadimageio/thumb/thumbnailcreator.h,
	core/libs/threadimageio/thumb/thumbnailloadthread.h,
	core/libs/threadimageio/thumb/thumbnailloadthread_p.h,
	core/libs/threadimageio/thumb/thumbnailtask.h: delete unecessary
	constructor and operator

2021-03-20  Gilles Caulier <caulier.gilles@gmail.com>

	* core/libs/threadimageio/fileio/loadingcacheinterface.h,
	core/libs/threadimageio/fileio/loadingdescription.h,
	core/libs/threadimageio/fileio/loadsavetask.h,
	core/libs/threadimageio/fileio/loadsavethread.h: delete unecessary
	constructors and operators

2021-03-20  Gilles Caulier <caulier.gilles@gmail.com>

	* core/libs/threadimageio/engine/filereadwritelock.h,
	core/libs/threadimageio/engine/managedloadsavethread.h,
	core/libs/threadimageio/engine/sharedloadsavethread.h,
	core/libs/threadimageio/fileio/loadingcache.h: remove unecessary
	constructors and operators with c++ delete key

2021-03-20  Gilles Caulier <caulier.gilles@gmail.com>

	* core/libs/threads/dynamicthread.h,
	core/libs/threads/parallelworkers.h,
	core/libs/threads/threadmanager.h,
	core/libs/threads/workerobject.cpp,
	core/libs/threads/workerobject.h: disable constructors

2021-03-19  Maik Qualmann <metzpinguin@gmail.com>

	* core/showfoto/setup/showfotosetupmisc.cpp,
	core/utilities/setup/setupmisc.cpp: first letter from widget style
	to uppercase

2021-03-19  Gilles Caulier <caulier.gilles@gmail.com>

	* core/libs/metadataengine/dmetadata/dmetadata.h,
	core/libs/metadataengine/dmetadata/geodetictools.h,
	core/libs/metadataengine/engine/metaengine_data_p.h,
	core/libs/metadataengine/engine/metaengine_p.h,
	core/libs/metadataengine/engine/metaengine_previews.h,
	core/libs/metadataengine/engine/metaengine_rotation.h: fix coding
	style and check if all compile and work fine with next Exiv2 0.27.4
	with native HEIF support.

2021-03-19  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2021-03-18  Maik Qualmann <metzpinguin@gmail.com>

	* project/bundles/appimage/data/AppRun: correct the paths to the
	ImageMagick modules CCBUGS: 434299

2021-03-18  Maik Qualmann <metzpinguin@gmail.com>

	* NEWS: update

2021-03-18  Gilles Caulier <caulier.gilles@gmail.com>

	* project/bundles/CD/ContinuousDeploy.txt: doc++

2021-03-18  Gilles Caulier <caulier.gilles@gmail.com>

	* project/bundles/CD/ContinuousDeploy.txt: doc++

2021-03-18  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2021-03-18  Gilles Caulier <caulier.gilles@gmail.com>

	*
	core/dplugins/generic/metadata/metadataedit/exif/exifeditwidget.cpp
	,
	core/dplugins/generic/metadata/metadataedit/iptc/iptceditwidget.cpp
	, core/dplugins/generic/webservices/facebook/fbtalker.cpp,
	core/dplugins/generic/webservices/facebook/fbtalker_wizard.cpp,
	core/dplugins/generic/webservices/imageshack/imageshackwindow.cpp,
	core/dplugins/generic/webservices/imgur/imgurtalker.cpp,
	core/dplugins/generic/webservices/rajce/rajcewidget.cpp,
	core/dplugins/generic/webservices/smugmug/smugtalker.cpp,
	core/libs/dialogs/libsinfodlg.cpp,
	core/libs/filters/filterstatusbar.cpp,
	core/showfoto/thumbbar/showfotoimagemodel.cpp,
	core/tests/facesengine/preprocess/tantriggspreprocessor.cpp,
	core/utilities/import/backend/gpcamera.cpp,
	core/utilities/import/models/importimagemodel.cpp: fix coding style


2021-03-18  Gilles Caulier <caulier.gilles@gmail.com>

	* core/libs/metadataengine/dmetadata/dmetadata_exif.cpp,
	core/libs/metadataengine/dmetadata/dmetadata_fileio.cpp,
	core/libs/metadataengine/dmetadata/dmetadata_generic.cpp,
	core/libs/metadataengine/dmetadata/dmetadata_history.cpp,
	core/libs/metadataengine/dmetadata/dmetadata_labels.cpp,
	core/libs/metadataengine/dmetadata/dmetadata_libraw.cpp,
	core/libs/metadataengine/dmetadata/dmetadata_photo.cpp,
	core/libs/metadataengine/dmetadata/dmetadata_tags.cpp,
	core/libs/metadataengine/dmetadata/dmetadata_video.cpp,
	core/libs/metadataengine/dmetadata/geodetictools.cpp,
	core/libs/metadataengine/engine/metaengine_exif.cpp,
	core/libs/metadataengine/engine/metaengine_fileio.cpp,
	core/libs/metadataengine/engine/metaengine_gps.cpp,
	core/libs/metadataengine/engine/metaengine_iptc.cpp,
	core/libs/metadataengine/engine/metaengine_item.cpp,
	core/libs/metadataengine/engine/metaengine_rotation.cpp,
	core/libs/metadataengine/engine/metaengine_xmp.cpp: fix coding style


2021-03-17  Gilles Caulier <caulier.gilles@gmail.com>

	* project/bundles/appimage/04-build-appimage.sh: don't include
	/etc/ImageMagick in AppImage bundle CCBUGS: 434299

2021-03-17  Maik Qualmann <metzpinguin@gmail.com>

	* core/libs/widgets/mainview/dzoombar.cpp,
	core/utilities/imageeditor/editor/editorwindow.cpp: polisch

2021-03-17  Maik Qualmann <metzpinguin@gmail.com>

	* core/libs/metadataengine/engine/metaengine_p.h: restore
	EXIV2_TEST_VERSION Even if the function in exiv2/version.hpp is
	defined, we check it and define it if necessary.

2021-03-17  Gilles Caulier <caulier.gilles@gmail.com>

	* project/bundles/appimage/04-build-appimage.sh: copy only IM
	modules

2021-03-17  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2021-03-17  Gilles Caulier <caulier.gilles@gmail.com>

	* project/bundles/appimage/data/AppRun: add environnement variable
	for AppImage run-times to deal with ImageMagick shared libs CCBUGS:
	434299

2021-03-17  Peter Kovář <peter.kovar@reflexion.tv>

	* core/libs/metadataengine/engine/metaengine_p.h: Corrected for
	Exiv2 version < 0.27.4

2021-03-17  l10n daemon script <scripty@kde.org>

	*
	core/dplugins/generic/tools/htmlgallery/themes/dateframes/dateframe
	s.desktop: SVN_SILENT made messages (.desktop file) - always resolve
	ours  In case of conflict in i18n, keep the version of the branch
	"ours" To resolve a particular conflict, "git checkout --ours
	path/to/file.desktop"

2021-03-17  Gilles Caulier <caulier.gilles@gmail.com>

	* core/libs/facesengine/detection/facedetector.cpp,
	core/libs/metadataengine/engine/metaengine.cpp,
	core/libs/metadataengine/engine/metaengine_comments.cpp,
	core/libs/metadataengine/engine/metaengine_data_p.cpp,
	core/libs/metadataengine/engine/metaengine_exif.cpp,
	core/libs/metadataengine/engine/metaengine_fileio.cpp,
	core/libs/metadataengine/engine/metaengine_gps.cpp,
	core/libs/metadataengine/engine/metaengine_iptc.cpp,
	core/libs/metadataengine/engine/metaengine_item.cpp,
	core/libs/metadataengine/engine/metaengine_p.cpp,
	core/libs/metadataengine/engine/metaengine_xmp.cpp,
	core/tests/facesengine/alignment/funnelreal.cpp: fix coding style

2021-03-16  Maik Qualmann <metzpinguin@gmail.com>

	*
	core/dplugins/generic/metadata/geolocationedit/dialog/gpsitemdetail
	s.cpp, core/libs/widgets/graphicsview/previewlayout.cpp: use fit to
	window as default

2021-03-13  Bruno de Oliveira Abinader <brunoabinader@gmail.com>

	* core/tests/multithreading/CMakeLists.txt,
	core/tests/multithreading/processordlg.cpp,
	core/tests/multithreading/{myactionthread.cpp =>
	rawtopngconverterthread.cpp},
	core/tests/multithreading/{myactionthread.h =>
	rawtopngconverterthread.h}: 
	s/MyActionThread/RAWToPNGConverterThread/

2021-03-13  Bruno de Oliveira Abinader <brunoabinader@gmail.com>

	* core/libs/threads/actionthreadbase.cpp,
	core/libs/threads/actionthreadbase.h,
	core/utilities/maintenance/maintenancethread.cpp,
	core/utilities/queuemanager/manager/actionthread.cpp: 
	ActionThreadBase::setDefaultMaximumNumberOfThreads is a setter

2021-03-16  Gilles Caulier <caulier.gilles@gmail.com>

	* core/dplugins/generic/webservices/rajce/rajcewidget.cpp: krazy++

2021-03-16  Gilles Caulier <caulier.gilles@gmail.com>

	* project/scripts/installdeps-mageia.sh: add more deps for macos
	virtualbox

2021-03-16  Gilles Caulier <caulier.gilles@gmail.com>

	* project/bundles/CD/macports/macos-guest-virtualbox.patch: adjust
	patch with new code

2021-03-16  Gilles Caulier <caulier.gilles@gmail.com>

	* project/bundles/appimage/04-build-appimage.sh: copy IM config
	files from /etc

2021-03-16  Gilles Caulier <caulier.gilles@gmail.com>

	* project/bundles/appimage/04-build-appimage.sh: fix path to copy IM
	codecs CCBUGS: 434299

2021-03-16  Peter Kovář <peter.kovar@reflexion.tv>

	* core/libs/metadataengine/engine/metaengine_p.h: Add BMFF header

2021-03-16  Gilles Caulier <caulier.gilles@gmail.com>

	* core/libs/metadataengine/engine/metaengine.cpp,
	core/libs/metadataengine/engine/metaengine.h: api DOC ++

2021-03-16  Gilles Caulier <caulier.gilles@gmail.com>

	* core/app/main/main.cpp, core/libs/dialogs/libsinfodlg.cpp,
	core/libs/metadataengine/engine/metaengine.cpp,
	core/libs/metadataengine/engine/metaengine.h,
	core/libs/metadataengine/engine/metaengine_p.cpp,
	core/libs/metadataengine/engine/metaengine_p.h,
	core/showfoto/main/main.cpp,
	core/tests/dimg/dimgabstracthistorytest.cpp,
	core/tests/dimg/dimgfilteractiontest.cpp,
	core/tests/dimg/testcolorbalancefilter.cpp,
	core/tests/dimg/testdimgloader.cpp,
	core/tests/dimg/testequalizefilter.cpp,
	core/tests/dplugins/loadandrun_generic.cpp,
	core/tests/fileio/loadsavethreadtest.cpp,
	core/tests/filters/testautocrop.cpp,
	core/tests/filters/testlensfuniface.cpp,
	core/tests/filters/testnrestimate.cpp,
	core/tests/geolocation/editor/test_gpsimageitem.cpp,
	core/tests/geolocation/geoiface/demo/mainwindow.cpp,
	core/tests/metadataengine/abstractunittest.h,
	core/tests/metadataengine/commentreadwritetest.cpp,
	core/tests/metadataengine/ratingreadwritetest.cpp,
	core/tests/metadataengine/tagsreadwritetest.cpp,
	core/tests/video/framesencoder.cpp,
	project/bundles/3rdparty/ext_exiv2/CMakeLists.txt,
	project/bundles/flatpak/org.kde.digikam.json,
	project/scripts/bootstrap-exiv2.linux.sh,
	project/scripts/bootstrap-exiv2.mxe.sh: Exiv2 0.27.4 will introduce
	Base Media File format support for CR3, HEIF, HEIC, and AVIF image
	containers. Enable Exiv2 compilation option for BMFF supports. Add
	new static method to get BMFF support from Exiv2. Report BMFF
	support in help/components dialog. Fix MetaEngine::initializeExiv2()
	to register std::atexit C++11 method and cleanup automatically XMP
	SDK allocation at application exit. Remove obsolete cleanupExiv2()
	method from MEtaEngine and relevant calls everywhere. CCBUGS: 385726


2021-03-15  Maik Qualmann <metzpinguin@gmail.com>

	* NEWS: update

2021-03-15  Maik Qualmann <metzpinguin@gmail.com>

	* core/dplugins/editor/transform/freerotation/freerotationtool.cpp: 
	polish

2021-03-15  Maik Qualmann <metzpinguin@gmail.com>

	* core/dplugins/editor/transform/freerotation/freerotationtool.cpp: 
	polish

2021-03-15  Maik Qualmann <metzpinguin@gmail.com>

	* core/dplugins/editor/transform/freerotation/freerotationtool.cpp: 
	polish

2021-03-15  Maik Qualmann <metzpinguin@gmail.com>

	* NEWS,
	core/dplugins/editor/transform/freerotation/freerotationtool.cpp,
	core/dplugins/editor/transform/freerotation/freerotationtoolplugin.
	cpp: fix key shortcuts for the FreeRotation tool BUGS: 434446
	FIXED-IN: 7.2.0

2021-03-15  Maik Qualmann <metzpinguin@gmail.com>

	* core/dplugins/editor/transform/freerotation/freerotationtool.cpp: 
	create point 1 and 2 icons with the right color

2021-03-15  Maik Qualmann <metzpinguin@gmail.com>

	* NEWS, core/libs/metadataengine/dmetadata/dmetadata_photo.cpp: 
	ignore Sony Makernote lens info with entry "Manual lens" BUGS:
	434423 FIXED-IN: 7.2.0

2021-03-15  Yuri Chornoivan <yurchor@ukr.net>

	*
	core/dplugins/generic/tools/expoblending/wizard/expoblendinglastpag
	e.cpp: Fix minor typo

2021-03-15  Gilles Caulier <caulier.gilles@gmail.com>

	* README.md: fix urls

2021-03-15  Gilles Caulier <caulier.gilles@gmail.com>

	* core/utilities/import/backend/cameracontroller.cpp,
	core/utilities/import/backend/camerahistoryupdater.cpp,
	core/utilities/import/backend/camerathumbsctrl.h: polish

2021-03-14  Gilles Caulier <caulier.gilles@gmail.com>

	*
	core/dplugins/editor/colors/convert16to8/convert16to8toolplugin.cpp
	,
	core/dplugins/editor/colors/convert8to16/convert8to16toolplugin.cpp
	, core/dplugins/editor/colors/invert/inverttoolplugin.cpp: krazy++

2021-03-14  Gilles Caulier <caulier.gilles@gmail.com>

	*
	core/dplugins/generic/tools/expoblending/wizard/expoblendingpreproc
	esspage.cpp: krazy++

2021-03-14  Gilles Caulier <caulier.gilles@gmail.com>

	*
	core/dplugins/generic/tools/expoblending/wizard/expoblendinglastpag
	e.cpp: krazy++

2021-03-14  Gilles Caulier <caulier.gilles@gmail.com>

	*
	core/dplugins/generic/tools/expoblending/wizard/expoblendingitemspa
	ge.cpp: krazy++

2021-03-14  Gilles Caulier <caulier.gilles@gmail.com>

	*
	core/dplugins/generic/tools/expoblending/wizard/expoblendingintropa
	ge.cpp: krazy++

2021-03-14  Gilles Caulier <caulier.gilles@gmail.com>

	*
	core/dplugins/generic/metadata/metadataedit/iptc/iptceditwidget.cpp: 
	krazy++

2021-03-14  Gilles Caulier <caulier.gilles@gmail.com>

	* core/dplugins/editor/transform/shear/sheartool.cpp,
	core/dplugins/editor/transform/shear/sheartool.h,
	core/dplugins/editor/transform/shear/sheartoolplugin.cpp,
	core/dplugins/editor/transform/shear/sheartoolplugin.h: krazy++

2021-03-14  Gilles Caulier <caulier.gilles@gmail.com>

	* core/dplugins/editor/transform/resize/resizetool.cpp,
	core/dplugins/editor/transform/resize/resizetool.h,
	core/dplugins/editor/transform/resize/resizetoolplugin.cpp,
	core/dplugins/editor/transform/resize/resizetoolplugin.h: krazy++

2021-03-14  Gilles Caulier <caulier.gilles@gmail.com>

	* core/dplugins/editor/transform/ratiocrop/ratiocroptool.cpp,
	core/dplugins/editor/transform/ratiocrop/ratiocroptool.h,
	core/dplugins/editor/transform/ratiocrop/ratiocroptoolplugin.cpp,
	core/dplugins/editor/transform/ratiocrop/ratiocroptoolplugin.h,
	core/dplugins/editor/transform/ratiocrop/ratiocropwidget.cpp,
	core/dplugins/editor/transform/ratiocrop/ratiocropwidget.h: krazy++


2021-03-14  Gilles Caulier <caulier.gilles@gmail.com>

	* core/dplugins/editor/transform/perspective/perspectivetool.cpp,
	core/dplugins/editor/transform/perspective/perspectivetool.h,
	core/dplugins/editor/transform/perspective/perspectivetoolplugin.cp
	p,
	core/dplugins/editor/transform/perspective/perspectivetoolplugin.h,
	core/dplugins/editor/transform/perspective/perspectivewidget.cpp: 
	krazy++

2021-03-14  Gilles Caulier <caulier.gilles@gmail.com>

	* core/dplugins/editor/transform/freerotation/freerotationtool.cpp,
	core/dplugins/editor/transform/freerotation/freerotationtool.h,
	core/dplugins/editor/transform/freerotation/freerotationtoolplugin.
	cpp,
	core/dplugins/editor/transform/freerotation/freerotationtoolplugin.
	h: krazy++

2021-03-14  Gilles Caulier <caulier.gilles@gmail.com>

	*
	core/dplugins/editor/transform/contentawareresize/contentawareresiz
	etool.cpp,
	core/dplugins/editor/transform/contentawareresize/contentawareresiz
	etool.h,
	core/dplugins/editor/transform/contentawareresize/contentawareresiz
	etoolplugin.cpp,
	core/dplugins/editor/transform/contentawareresize/contentawareresiz
	etoolplugin.h: krazy++

2021-03-14  Gilles Caulier <caulier.gilles@gmail.com>

	* core/dplugins/editor/transform/autocrop/autocroptoolplugin.cpp,
	core/dplugins/editor/transform/autocrop/autocroptoolplugin.h: 
	krazy++

2021-03-14  Gilles Caulier <caulier.gilles@gmail.com>

	* core/dplugins/editor/filters/raindrop/raindroptool.cpp,
	core/dplugins/editor/filters/raindrop/raindroptool.h,
	core/dplugins/editor/filters/raindrop/raindroptoolplugin.cpp,
	core/dplugins/editor/filters/raindrop/raindroptoolplugin.h: krazy++


2021-03-14  Gilles Caulier <caulier.gilles@gmail.com>

	* core/dplugins/editor/filters/oilpaint/oilpainttool.cpp,
	core/dplugins/editor/filters/oilpaint/oilpainttool.h,
	core/dplugins/editor/filters/oilpaint/oilpainttoolplugin.cpp,
	core/dplugins/editor/filters/oilpaint/oilpainttoolplugin.h: krazy++


2021-03-14  Gilles Caulier <caulier.gilles@gmail.com>

	* core/dplugins/editor/filters/filmgrain/filmgraintool.cpp,
	core/dplugins/editor/filters/filmgrain/filmgraintool.h,
	core/dplugins/editor/filters/filmgrain/filmgraintoolplugin.cpp,
	core/dplugins/editor/filters/filmgrain/filmgraintoolplugin.h: 
	krazy++

2021-03-14  Gilles Caulier <caulier.gilles@gmail.com>

	* core/dplugins/editor/filters/emboss/embosstool.cpp,
	core/dplugins/editor/filters/emboss/embosstool.h,
	core/dplugins/editor/filters/emboss/embosstoolplugin.cpp,
	core/dplugins/editor/filters/emboss/embosstoolplugin.h: krazy++

2021-03-14  Gilles Caulier <caulier.gilles@gmail.com>

	* core/dplugins/editor/filters/distortionfx/distortionfxtool.cpp,
	core/dplugins/editor/filters/distortionfx/distortionfxtool.h,
	core/dplugins/editor/filters/distortionfx/distortionfxtoolplugin.cp
	p,
	core/dplugins/editor/filters/distortionfx/distortionfxtoolplugin.h: 
	krazy++

2021-03-14  Gilles Caulier <caulier.gilles@gmail.com>

	* core/dplugins/editor/filters/colorfx/colorfxtool.cpp,
	core/dplugins/editor/filters/colorfx/colorfxtool.h,
	core/dplugins/editor/filters/colorfx/colorfxtoolplugin.cpp,
	core/dplugins/editor/filters/colorfx/colorfxtoolplugin.h: krazy++

2021-03-14  Gilles Caulier <caulier.gilles@gmail.com>

	* core/dplugins/editor/filters/charcoal/charcoaltool.cpp,
	core/dplugins/editor/filters/charcoal/charcoaltool.h,
	core/dplugins/editor/filters/charcoal/charcoaltoolplugin.cpp,
	core/dplugins/editor/filters/charcoal/charcoaltoolplugin.h: krazy++


2021-03-14  Gilles Caulier <caulier.gilles@gmail.com>

	* core/dplugins/editor/filters/blurfx/blurfxtool.cpp,
	core/dplugins/editor/filters/blurfx/blurfxtool.h,
	core/dplugins/editor/filters/blurfx/blurfxtoolplugin.cpp,
	core/dplugins/editor/filters/blurfx/blurfxtoolplugin.h: krazy++

2021-03-14  Gilles Caulier <caulier.gilles@gmail.com>

	* core/dplugins/editor/enhance/sharpen/sharpentool.cpp,
	core/dplugins/editor/enhance/sharpen/sharpentool.h,
	core/dplugins/editor/enhance/sharpen/sharpentoolplugin.cpp,
	core/dplugins/editor/enhance/sharpen/sharpentoolplugin.h: krazy++

2021-03-14  Gilles Caulier <caulier.gilles@gmail.com>

	* core/dplugins/editor/enhance/redeye/redeyetool.cpp,
	core/dplugins/editor/enhance/redeye/redeyetool.h,
	core/dplugins/editor/enhance/redeye/redeyetoolplugin.cpp: krazy++

2021-03-14  Gilles Caulier <caulier.gilles@gmail.com>

	*
	core/dplugins/editor/enhance/noisereduction/noisereductiontool.cpp,
	core/dplugins/editor/enhance/noisereduction/noisereductiontool.h,
	core/dplugins/editor/enhance/noisereduction/noisereductiontoolplugi
	n.cpp,
	core/dplugins/editor/enhance/noisereduction/noisereductiontoolplugi
	n.h: krazy++

2021-03-14  Gilles Caulier <caulier.gilles@gmail.com>

	* core/dplugins/editor/enhance/localcontrast/localcontrasttool.cpp,
	core/dplugins/editor/enhance/localcontrast/localcontrasttool.h,
	core/dplugins/editor/enhance/localcontrast/localcontrasttoolplugin.
	cpp,
	core/dplugins/editor/enhance/localcontrast/localcontrasttoolplugin.
	h: krazy++

2021-03-14  Gilles Caulier <caulier.gilles@gmail.com>

	*
	core/dplugins/editor/enhance/lensdistortion/lensdistortiontool.cpp,
	core/dplugins/editor/enhance/lensdistortion/lensdistortiontool.h,
	core/dplugins/editor/enhance/lensdistortion/lensdistortiontoolplugi
	n.cpp,
	core/dplugins/editor/enhance/lensdistortion/lensdistortiontoolplugi
	n.h: krazy++

2021-03-14  Gilles Caulier <caulier.gilles@gmail.com>

	* core/dplugins/editor/enhance/hotpixels/hotpixelstool.cpp,
	core/dplugins/editor/enhance/hotpixels/hotpixelstool.h,
	core/dplugins/editor/enhance/hotpixels/hotpixelstoolplugin.cpp,
	core/dplugins/editor/enhance/hotpixels/hotpixelstoolplugin.h: 
	krazy++

2021-03-14  Gilles Caulier <caulier.gilles@gmail.com>

	*
	core/dplugins/editor/enhance/healingclone/healingclonetoolplugin.cp
	p: krazy++

2021-03-14  Gilles Caulier <caulier.gilles@gmail.com>

	* core/dplugins/editor/enhance/blur/blurtool.cpp,
	core/dplugins/editor/enhance/blur/blurtool.h,
	core/dplugins/editor/enhance/blur/blurtoolplugin.cpp,
	core/dplugins/editor/enhance/blur/blurtoolplugin.h: krazy++

2021-03-14  Gilles Caulier <caulier.gilles@gmail.com>

	*
	core/dplugins/editor/enhance/antivignetting/antivignettingtool.cpp,
